/*
 * recupere le SVG de la page web pour en faire une image png ou SVG
 */
function encode_svg(id) {
    mySVGelement = document.getElementsByTagName("svg")[0];
//    myIMGelement = document.getElementById("img");

    //affiche l'image sur la page
//    mySVGelement.toDataURL("image/svg+xml", {
//        callback: function (data) {
//            myIMGelement.setAttribute("src", data);
//        }
//    });


    var img_val = mySVGelement.toDataURL("image/svg+xml");

//    alert(img_val);

    //requete AJAX pour upload l'image
    var xhr = getXMLHttpRequest();

    xhr.onreadystatechange = function () {
        if (xhr.readyState === 4 && (xhr.status === 200 || xhr.status === 0)) {
//            alert(xhr.responseText); //test
            //appeler code creation QR code
//            creerQr(id);
        }
    };

    xhr.open("POST", "../img/saveSVG.php", true);
    xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded", "charset=ISO-8859-1");
    xhr.send("img_val=" + img_val + "&id="+id); //partie URL cryptee
}

//genere le QR avec l'image SVG
function creerQr(id) {
    //requete AJAX pour creer le QR
    var xhr = getXMLHttpRequest();

    xhr.onreadystatechange = function () {
        if (xhr.readyState === 4 && (xhr.status === 200 || xhr.status === 0)) {
//            alert(xhr.responseText); //test
            //afficher le QR
            var div = document.getElementById("img");
            div.innerHTML = xhr.responseText;
//            var img = document.createElement("img");
//            img.innerHTML = xhr.responseText;
//            div.appendChild(img);
            div.style.visibility = "visible";
        }
    };

    xhr.open("POST", "../img/saveQR.php", true);
    xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded", "charset=ISO-8859-1");
    xhr.send("id="+id); //partie URL cryptee    
}

/**
 * AJAX
 */
function getXMLHttpRequest() {
    var xhr = null;
    if (window.XMLHttpRequest || window.ActiveXObject) {
        if (window.ActiveXObject) {
            try {
                xhr = new ActiveXObject("Msxml2.XMLHTTP");
            } catch (e) {
                xhr = new ActiveXObject("Microsoft.XMLHTTP");
            }
        } else {
            xhr = new XMLHttpRequest();
        }
    } else {
        alert("Votre navigateur ne supporte pas l'objet XMLHTTPRequest...");
        return null;
    }
    return xhr;
}